Printago API
PATCH /v1/printer-throttle-groups/{id}

Update Staggered Start group

Requires: printer.edit

Path Parameters

id required
string

Request Body

PartialPickPrinterThrottleGroupnameenabledmaxConcurrentStartsreleaseConditionsfallbackTimeoutSecondstemperatureToleranceC
enabledoptional
boolean
fallbackTimeoutSecondsoptional
number
maxConcurrentStartsoptional
number
nameoptional
string
releaseConditionsoptional
object
bedoptional
object
durationoptional
object
nozzleoptional
object
temperatureToleranceCoptional
number

Example Request

application/json
{
  "name": "string",
  "enabled": true,
  "maxConcurrentStarts": 1,
  "releaseConditions": {},
  "fallbackTimeoutSeconds": 1,
  "temperatureToleranceC": 1
}

Response Schema

PrinterThrottleGroup
createdAtrequired
string
format: date-time
enabledrequired
boolean
fallbackTimeoutSecondsrequired
number
idrequired
string
pattern: ^[a-z0-9]{24}$
maxConcurrentStartsrequired
number
namerequired
string
releaseConditionsrequired
object
bedoptional
object
durationoptional
object
nozzleoptional
object
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
temperatureToleranceCrequired
number
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "name": "string",
  "enabled": true,
  "maxConcurrentStarts": 1,
  "releaseConditions": {},
  "fallbackTimeoutSeconds": 1,
  "temperatureToleranceC": 1,
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:56.406Z",
  "updatedAt": "2026-08-24T03:58:56.406Z"
}